org.codehaus.plexus.metadata.merge

## Class ComponentsXmlMerger

- java.lang.Object
- - org.codehaus.plexus.metadata.merge.AbstractMerger
  - - org.codehaus.plexus.metadata.merge.ComponentsXmlMerger

All Implemented Interfaces:
  Merger

    @Component(role=Merger.class,
               hint="componentsXml")
    public class ComponentsXmlMerger
    extends AbstractMerger

Version:
  $Id: ComponentsXmlMerger.java 8174 2009-05-11 15:15:23Z jvanzyl $
Author:
  Rahul Thakur

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.merge.Merger

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ComponentsXmlMerger()`

### Method Summary

Methods
`org.jdom.Document` `merge(org.jdom.Document dDocument, org.jdom.Document rDocument)` Merge with the recessive document.

### Methods inherited from class org.codehaus.plexus.metadata.merge.AbstractMerger

`mergeDescriptors, writeMergedDocument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentsXmlMerger

    public ComponentsXmlMerger()

### Method Detail

#### merge

    public org.jdom.Document merge(org.jdom.Document dDocument,
                          org.jdom.Document rDocument)
                            throws MergeException

Description copied from interface: `Merger`
Merge with the recessive document.

Parameters:
  `dDocument` - the dominant document.
  `rDocument` - the recessive document.
Returns:
  the merged `Document` instance.
Throws:
  `MergeException` - if there was an error in merge.
See Also:
  `Merger.merge(Document, Document)`